### Function

# ECal util_component_has_property

since: 3.34

#### Declaration [src]

    gboolean
    e_cal_util_component_has_property (
      ICalComponent* icalcomp,
      ICalPropertyKind prop_kind
    )

#### Description [src]

Returns, whether the `icalcomp` has a property of `prop_kind`. To check for a specific X property use e_cal_util_component_has_x_property().

Available since: 3.34

#### Parameters

`icalcomp`

  Type: `None`

  An `ICalComponent`.

  The data is owned by the caller of the function.

`prop_kind`

  Type: `ICalPropertyKind`

  A property kind to look for, as an %ICalPropertyKind.

#### Return value

Type: `gboolean`

Whether the `icalcomp` has a property of `prop_kind`.